Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class TypeLinkModelFacetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.TypeModelFacetImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.TypeLinkModelFacetImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, LinkModelFacet, ModelFacet, TypeLinkModelFacet, TypeModelFacet

    public class TypeLinkModelFacetImpl

extends TypeModelFacetImpl
implements TypeLinkModelFacet

An implementation of the model object 'Type Link Model Facet'.

The following features are implemented:

- `Source Meta Feature`
- `Target Meta Feature`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `sourceMetaFeature` The cached value of the '`Source Meta Feature`' reference
`protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `targetMetaFeature` The cached value of the '`Target Meta Feature`' reference

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.TypeModelFacetImpl
`childMetaFeature, containmentMetaFeature, metaClass, modelElementInitializer, modelElementSelector`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `TypeLinkModelFacetImpl()`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `basicGetSourceMetaFeature()`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `basicGetTargetMetaFeature()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass>` `getAssistantSourceTypes()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass>` `getAssistantTargetTypes()`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getSourceMetaFeature()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getSourceType()`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getTargetMetaFeature()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getTargetType()`
`void` `setSourceMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newSourceMetaFeature)`
`void` `setTargetMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newTargetMetaFeature)`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.TypeModelFacetImpl

`basicGetChildMetaFeature, basicGetContainmentMetaFeature, basicGetMetaClass, basicGetModelElementSelector, basicSetModelElementInitializer, eInverseRemove, getChildMetaFeature, getChildMetaFeatureGen, getContainmentMetaFeature, getMetaClass, getModelElementInitializer, getModelElementSelector, isPhantomElement, setChildMetaFeature, setContainmentMetaFeature, setMetaClass, setModelElementInitializer, setModelElementSelector`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.TypeModelFacet
`getChildMetaFeature, getContainmentMetaFeature, getMetaClass, getModelElementInitializer, getModelElementSelector, isPhantomElement, setChildMetaFeature, setContainmentMetaFeature, setMetaClass, setModelElementInitializer, setModelElementSelector`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### sourceMetaFeature

    protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature sourceMetaFeature

  The cached value of the '`Source Meta Feature`' reference.

  See Also:
    `getSourceMetaFeature()`
  ** Generated **
  Ordered:

### targetMetaFeature

    protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature targetMetaFeature

  The cached value of the '`Target Meta Feature`' reference.

  See Also:
    `getTargetMetaFeature()`
  ** Generated **
  Ordered:

Constructor Detail

### TypeLinkModelFacetImpl

    protected TypeLinkModelFacetImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `TypeModelFacetImpl`
  ** Generated **

### getSourceMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature getSourceMetaFeature()

  Specified by:
    `getSourceMetaFeature` in interface `TypeLinkModelFacet`
  Returns:
    the value of the 'Source Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.setSourceMetaFeature(GenFeature)`, `GMFGenPackage.getTypeLinkModelFacet_SourceMetaFeature()`
  ** Generated **

### basicGetSourceMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature basicGetSourceMetaFeature()

  ** Generated **

### setSourceMetaFeature

    public void setSourceMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newSourceMetaFeature)

  Specified by:
    `setSourceMetaFeature` in interface `TypeLinkModelFacet`
  Parameters:
    `newSourceMetaFeature` - the new value of the 'Source Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.getSourceMetaFeature()`
  ** Generated **

### getTargetMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature getTargetMetaFeature()

  Specified by:
    `getTargetMetaFeature` in interface `TypeLinkModelFacet`
  Returns:
    the value of the 'Target Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.setTargetMetaFeature(GenFeature)`, `GMFGenPackage.getTypeLinkModelFacet_TargetMetaFeature()`
  ** Generated **

### basicGetTargetMetaFeature

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature basicGetTargetMetaFeature()

  ** Generated **

### setTargetMetaFeature

    public void setTargetMetaFeature(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newTargetMetaFeature)

  Specified by:
    `setTargetMetaFeature` in interface `TypeLinkModelFacet`
  Parameters:
    `newTargetMetaFeature` - the new value of the 'Target Meta Feature' reference.
  See Also:
    `TypeLinkModelFacet.getTargetMetaFeature()`
  ** Generated **

### getSourceType

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getSourceType()

  Specified by:
    `getSourceType` in interface `LinkModelFacet`
  ** Generated **
    NOT

### getTargetType

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getTargetType()

  Specified by:
    `getTargetType` in interface `LinkModelFacet`
  ** Generated **
    NOT

### getAssistantSourceTypes

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> getAssistantSourceTypes()

  Specified by:
    `getAssistantSourceTypes` in interface `LinkModelFacet`
  ** Generated **
    NOT

### getAssistantTargetTypes

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenClass> getAssistantTargetTypes()

  Specified by:
    `getAssistantTargetTypes` in interface `LinkModelFacet`
  ** Generated **
    NOT

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `TypeModelFacetImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `TypeModelFacetImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `TypeModelFacetImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `TypeModelFacetImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.